< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package play
  Definition Classes
    hmrc
-  package bootstrap
  Definition Classes
    play
-  package filters
  Definition Classes
    bootstrap
- FrontendFilters
- WhitelistFilter

c

uk.gov.hmrc.play.bootstrap.filters

# WhitelistFilter 

###

#### class WhitelistFilter extends AllowlistFilter

Annotations
  @deprecated @Singleton()
Deprecated

  (Since version 4.0.0) Use uk.gov.hmrc.play.bootstrap.frontend.filters.AllowlistFilter instead

Linear Supertypes
AllowlistFilter, AkamaiAllowlistFilter, Filter, EssentialFilter, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. WhitelistFilter
2. AllowlistFilter
3. AkamaiAllowlistFilter
4. Filter
5. EssentialFilter
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new WhitelistFilter(config: Configuration, mat: Materializer)
   Annotations
     @Inject()

### Type Members

1.  case class AllowlistFilterConfig(allowlist: Seq[String], destination: Call, excludedPaths: Seq[Call]) extends Product with Serializable
   Definition Classes
     AllowlistFilter

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  lazy val allowlist: Seq[String]
   Definition Classes
     AllowlistFilter → AkamaiAllowlistFilter
5.  def apply(f: (RequestHeader) ⇒ Future[Result])(rh: RequestHeader): Future[Result]
   Definition Classes
     AkamaiAllowlistFilter → Filter
6.  def apply(next: EssentialAction): EssentialAction
   Definition Classes
     Filter → EssentialFilter
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def asJava: EssentialFilter
   Definition Classes
     EssentialFilter
9.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
10.  lazy val destination: Call
    Definition Classes
      AllowlistFilter → AkamaiAllowlistFilter
11.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
13.  lazy val excludedPaths: Seq[Call]
    Definition Classes
      AllowlistFilter → AkamaiAllowlistFilter
14.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
15.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
18.  def loadConfig: AllowlistFilter
    Definition Classes
      AllowlistFilter
19.  val mat: Materializer
    Definition Classes
      AllowlistFilter → Filter
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  def noHeaderAction(f: (RequestHeader) ⇒ Future[Result], rh: RequestHeader): Future[Result]
    Definition Classes
      AkamaiAllowlistFilter
22.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  def response: Result
    Definition Classes
      AkamaiAllowlistFilter
25.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
26.  def toString(): String
    Definition Classes
      AnyRef → Any
27.  val trueClient: String
    Definition Classes
      AkamaiAllowlistFilter
28.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
29.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
30.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Deprecated Value Members

1.  def whitelist: Seq[String]
   Definition Classes
     AllowlistFilter
   Annotations
     @deprecated
   Deprecated

     (Since version 4.0.0) Use allowlist instead

### Inherited from AllowlistFilter

### Inherited from AkamaiAllowlistFilter

### Inherited from Filter

### Inherited from EssentialFilter

### Inherited from AnyRef

### Inherited from Any

### Ungrouped